--- old/usr/src/lib/libm/common/R/asinhf.c	2014-11-04 19:00:38.798219728 -0500
+++ new/usr/src/lib/libm/common/R/asinhf.c	2014-11-04 19:00:38.829278397 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak asinhf = __asinhf
+#pragma weak __asinhf = asinhf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/atan2f.c	2014-11-04 19:00:39.528834088 -0500
+++ new/usr/src/lib/libm/common/R/atan2f.c	2014-11-04 19:00:39.541543615 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atan2f = __atan2f
+#pragma weak __atan2f = atan2f
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/atan2pif.c	2014-11-04 19:00:39.944662555 -0500
+++ new/usr/src/lib/libm/common/R/atan2pif.c	2014-11-04 19:00:39.955933233 -0500
@@ -26,8 +26,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atan2pif = __atan2pif
-
 #include "libm.h"
 
 static const double invpi = 0.3183098861837906715377675;
--- old/usr/src/lib/libm/common/R/atanf.c	2014-11-04 19:00:40.341107111 -0500
+++ new/usr/src/lib/libm/common/R/atanf.c	2014-11-04 19:00:40.352614370 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atanf = __atanf
+#pragma weak __atanf = atanf
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/R/atanhf.c	2014-11-04 19:00:40.748787309 -0500
+++ new/usr/src/lib/libm/common/R/atanhf.c	2014-11-04 19:00:40.760116192 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak atanhf = __atanhf
+#pragma weak __atanhf = atanhf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/besself.c	2014-11-04 19:00:41.143735480 -0500
+++ new/usr/src/lib/libm/common/R/besself.c	2014-11-04 19:00:41.155491538 -0500
@@ -26,12 +26,12 @@
  * Use is subject to license terms.
  */
 
-#pragma weak j0f = __j0f
-#pragma weak j1f = __j1f
-#pragma weak jnf = __jnf
-#pragma weak y0f = __y0f
-#pragma weak y1f = __y1f
-#pragma weak ynf = __ynf
+#pragma weak __j0f = j0f
+#pragma weak __j1f = j1f
+#pragma weak __jnf = jnf
+#pragma weak __y0f = y0f
+#pragma weak __y1f = y1f
+#pragma weak __ynf = ynf
 
 #include "libm.h"
 #include <float.h>
--- old/usr/src/lib/libm/common/R/cbrtf.c	2014-11-04 19:00:41.604158779 -0500
+++ new/usr/src/lib/libm/common/R/cbrtf.c	2014-11-04 19:00:41.615555520 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cbrtf = __cbrtf
+#pragma weak __cbrtf = cbrtf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/copysignf.c	2014-11-04 19:00:42.010223318 -0500
+++ new/usr/src/lib/libm/common/R/copysignf.c	2014-11-04 19:00:42.021510025 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak copysignf = __copysignf
+#pragma weak __copysignf = copysignf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/cosf.c	2014-11-04 19:00:42.405440223 -0500
+++ new/usr/src/lib/libm/common/R/cosf.c	2014-11-04 19:00:42.416781654 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cosf = __cosf
+#pragma weak __cosf = cosf
 
 /*
  * See sincosf.c
--- old/usr/src/lib/libm/common/R/coshf.c	2014-11-04 19:00:42.805487819 -0500
+++ new/usr/src/lib/libm/common/R/coshf.c	2014-11-04 19:00:42.816987437 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak coshf = __coshf
+#pragma weak __coshf = coshf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/erff.c	2014-11-04 19:00:43.198835666 -0500
+++ new/usr/src/lib/libm/common/R/erff.c	2014-11-04 19:00:43.210186677 -0500
@@ -26,8 +26,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak erff = __erff
-#pragma weak erfcf = __erfcf
+#pragma weak __erff = erff
+#pragma weak __erfcf = erfcf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/exp10f.c	2014-11-04 19:00:43.899733202 -0500
+++ new/usr/src/lib/libm/common/R/exp10f.c	2014-11-04 19:00:43.911739254 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak exp10f = __exp10f
-
 #include "libm.h"
 
 extern double exp10(double);
--- old/usr/src/lib/libm/common/R/exp2f.c	2014-11-04 19:00:44.912933772 -0500
+++ new/usr/src/lib/libm/common/R/exp2f.c	2014-11-04 19:00:44.924366091 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak exp2f = __exp2f
+#pragma weak __exp2f = exp2f
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/expf.c	2014-11-04 19:00:45.327313691 -0500
+++ new/usr/src/lib/libm/common/R/expf.c	2014-11-04 19:00:45.338955513 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak expf = __expf
+#pragma weak __expf = expf
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/R/expm1f.c	2014-11-04 19:00:45.747433225 -0500
+++ new/usr/src/lib/libm/common/R/expm1f.c	2014-11-04 19:00:45.759121896 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak expm1f = __expm1f
+#pragma weak __expm1f = expm1f
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/fabsf.c	2014-11-04 19:00:46.169817508 -0500
+++ new/usr/src/lib/libm/common/R/fabsf.c	2014-11-04 19:00:46.181154846 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fabsf = __fabsf
+#pragma weak __fabsf = fabsf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/floorf.c	2014-11-04 19:00:46.576878957 -0500
+++ new/usr/src/lib/libm/common/R/floorf.c	2014-11-04 19:00:46.588096524 -0500
@@ -27,8 +27,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ceilf = __ceilf
-#pragma weak floorf = __floorf
+#pragma weak __ceilf = ceilf
+#pragma weak __floorf = floorf
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/R/fmodf.c	2014-11-04 19:00:46.992545704 -0500
+++ new/usr/src/lib/libm/common/R/fmodf.c	2014-11-04 19:00:47.006109085 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fmodf = __fmodf
+#pragma weak __fmodf = fmodf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/gammaf.c	2014-11-04 19:00:47.403627753 -0500
+++ new/usr/src/lib/libm/common/R/gammaf.c	2014-11-04 19:00:47.415025460 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak gammaf = __gammaf
+#pragma weak __gammaf = gammaf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/gammaf_r.c	2014-11-04 19:00:47.818204303 -0500
+++ new/usr/src/lib/libm/common/R/gammaf_r.c	2014-11-04 19:00:47.829584317 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak gammaf_r = __gammaf_r
+#pragma weak __gammaf_r = gammaf_r
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/hypotf.c	2014-11-04 19:00:48.241154563 -0500
+++ new/usr/src/lib/libm/common/R/hypotf.c	2014-11-04 19:00:48.252381786 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak hypotf = __hypotf
+#pragma weak __hypotf = hypotf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/ilogbf.c	2014-11-04 19:00:48.818330217 -0500
+++ new/usr/src/lib/libm/common/R/ilogbf.c	2014-11-04 19:00:48.840956355 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ilogbf = __ilogbf
+#pragma weak __ilogbf = ilogbf
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/R/isnanf.c	2014-11-04 19:00:49.382133384 -0500
+++ new/usr/src/lib/libm/common/R/isnanf.c	2014-11-04 19:00:49.393725505 -0500
@@ -27,8 +27,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak isnanf = __isnanf
-#pragma weak _isnanf = __isnanf
+#pragma weak __isnanf = isnanf
+#pragma weak _isnanf = isnanf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/lgammaf.c	2014-11-04 19:00:49.773640863 -0500
+++ new/usr/src/lib/libm/common/R/lgammaf.c	2014-11-04 19:00:49.786374363 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lgammaf = __lgammaf
+#pragma weak __lgammaf = lgammaf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/lgammaf_r.c	2014-11-04 19:00:50.168612643 -0500
+++ new/usr/src/lib/libm/common/R/lgammaf_r.c	2014-11-04 19:00:50.179952084 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak lgammaf_r = __lgammaf_r
+#pragma weak __lgammaf_r = lgammaf_r
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/log10f.c	2014-11-04 19:00:50.573999144 -0500
+++ new/usr/src/lib/libm/common/R/log10f.c	2014-11-04 19:00:50.585209443 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log10f = __log10f
+#pragma weak __log10f = log10f
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/log1pf.c	2014-11-04 19:00:51.055412894 -0500
+++ new/usr/src/lib/libm/common/R/log1pf.c	2014-11-04 19:00:51.066689194 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log1pf = __log1pf
+#pragma weak __log1pf = log1pf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/log2f.c	2014-11-04 19:00:51.448821138 -0500
+++ new/usr/src/lib/libm/common/R/log2f.c	2014-11-04 19:00:51.460418271 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak log2f = __log2f
+#pragma weak __log2f = log2f
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/logbf.c	2014-11-04 19:00:51.843097398 -0500
+++ new/usr/src/lib/libm/common/R/logbf.c	2014-11-04 19:00:51.854729379 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak logbf = __logbf
+#pragma weak __logbf = logbf
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/R/logf.c	2014-11-04 19:00:52.241451567 -0500
+++ new/usr/src/lib/libm/common/R/logf.c	2014-11-04 19:00:52.253004904 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak logf = __logf
+#pragma weak __logf = logf
 
 /*
  * Algorithm:
--- old/usr/src/lib/libm/common/R/nextafterf.c	2014-11-04 19:00:52.647380183 -0500
+++ new/usr/src/lib/libm/common/R/nextafterf.c	2014-11-04 19:00:52.658952109 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak nextafterf = __nextafterf
+#pragma weak __nextafterf = nextafterf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/powf.c	2014-11-04 19:00:53.046479275 -0500
+++ new/usr/src/lib/libm/common/R/powf.c	2014-11-04 19:00:53.058046838 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak powf = __powf
+#pragma weak __powf = powf
 
 #include "libm.h"
 #include "xpg6.h"	/* __xpg6 */
--- old/usr/src/lib/libm/common/R/remainderf.c	2014-11-04 19:00:53.469857561 -0500
+++ new/usr/src/lib/libm/common/R/remainderf.c	2014-11-04 19:00:53.481278476 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak remainderf = __remainderf
+#pragma weak __remainderf = remainderf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/rintf.c	2014-11-04 19:00:54.606021239 -0500
+++ new/usr/src/lib/libm/common/R/rintf.c	2014-11-04 19:00:54.617901419 -0500
@@ -27,11 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak aintf = __aintf
-#pragma weak anintf = __anintf
-#pragma weak irintf = __irintf
-#pragma weak nintf = __nintf
-#pragma weak rintf = __rintf
+#pragma weak __rintf = rintf
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/R/scalbf.c	2014-11-04 19:00:55.008853579 -0500
+++ new/usr/src/lib/libm/common/R/scalbf.c	2014-11-04 19:00:55.020394620 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak scalbf = __scalbf
+#pragma weak __scalbf = scalbf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/scalbnf.c	2014-11-04 19:00:55.407239051 -0500
+++ new/usr/src/lib/libm/common/R/scalbnf.c	2014-11-04 19:00:55.419110520 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak scalbnf = __scalbnf
+#pragma weak __scalbnf = scalbnf
 
 #include "libm.h"
 #include <float.h>		/* FLT_MAX, FLT_MIN */
--- old/usr/src/lib/libm/common/R/signgamf.c	2014-11-04 19:00:55.808137965 -0500
+++ new/usr/src/lib/libm/common/R/signgamf.c	2014-11-04 19:00:55.819919957 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak signgamf = __signgamf
+#pragma weak __signgamf = signgamf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/significandf.c	2014-11-04 19:00:56.204701969 -0500
+++ new/usr/src/lib/libm/common/R/significandf.c	2014-11-04 19:00:56.216452624 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak significandf = __significandf
+#pragma weak __significandf = significandf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/sincosf.c	2014-11-04 19:00:56.612439714 -0500
+++ new/usr/src/lib/libm/common/R/sincosf.c	2014-11-04 19:00:56.623831135 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sincosf = __sincosf
+#pragma weak __sincosf = sincosf
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/R/sincospif.c	2014-11-04 19:00:57.027025429 -0500
+++ new/usr/src/lib/libm/common/R/sincospif.c	2014-11-04 19:00:57.039556236 -0500
@@ -27,8 +27,6 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sincospif = __sincospif
-
 #include "libm.h"
 
 extern void sincospi(double, double *, double *);
--- old/usr/src/lib/libm/common/R/sinf.c	2014-11-04 19:00:57.424564846 -0500
+++ new/usr/src/lib/libm/common/R/sinf.c	2014-11-04 19:00:57.436031474 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinf = __sinf
+#pragma weak __sinf = sinf
 
 /*
  * See sincosf.c
--- old/usr/src/lib/libm/common/R/sinhf.c	2014-11-04 19:00:57.826060440 -0500
+++ new/usr/src/lib/libm/common/R/sinhf.c	2014-11-04 19:00:57.837673571 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sinhf = __sinhf
+#pragma weak __sinhf = sinhf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/sqrtf.c	2014-11-04 19:00:58.222696000 -0500
+++ new/usr/src/lib/libm/common/R/sqrtf.c	2014-11-04 19:00:58.234290642 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak sqrtf = __sqrtf
+#pragma weak __sqrtf = sqrtf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/tanf.c	2014-11-04 19:00:59.007189246 -0500
+++ new/usr/src/lib/libm/common/R/tanf.c	2014-11-04 19:00:59.028358949 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tanf = __tanf
+#pragma weak __tanf = tanf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/R/tanhf.c	2014-11-04 19:00:59.613708948 -0500
+++ new/usr/src/lib/libm/common/R/tanhf.c	2014-11-04 19:00:59.625116349 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tanhf = __tanhf
+#pragma weak __tanhf = tanhf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/complex/cabs.c	2014-11-04 19:01:00.080483179 -0500
+++ new/usr/src/lib/libm/common/complex/cabs.c	2014-11-04 19:01:00.092077472 -0500
@@ -26,9 +26,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cabs = __cabs
+#pragma weak __cabs = cabs
 
-#include "libm_synonyms.h"
 #include <math.h>
 #include "complex_wrapper.h"
 
--- old/usr/src/lib/libm/common/complex/cabsf.c	2014-11-04 19:01:00.504140420 -0500
+++ new/usr/src/lib/libm/common/complex/cabsf.c	2014-11-04 19:01:00.515567773 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cabsf = __cabsf
+#pragma weak __cabsf = cabsf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cabsl.c	2014-11-04 19:01:00.933906721 -0500
+++ new/usr/src/lib/libm/common/complex/cabsl.c	2014-11-04 19:01:00.945285360 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cabsl = __cabsl
+#pragma weak __cabsl = cabsl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cacos.c	2014-11-04 19:01:01.344887941 -0500
+++ new/usr/src/lib/libm/common/complex/cacos.c	2014-11-04 19:01:01.356243964 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cacos = __cacos
+#pragma weak __cacos = cacos
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/cacosf.c	2014-11-04 19:01:01.776621443 -0500
+++ new/usr/src/lib/libm/common/complex/cacosf.c	2014-11-04 19:01:01.789534683 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cacosf = __cacosf
+#pragma weak __cacosf = cacosf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cacosh.c	2014-11-04 19:01:02.206905319 -0500
+++ new/usr/src/lib/libm/common/complex/cacosh.c	2014-11-04 19:01:02.218440648 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cacosh = __cacosh
+#pragma weak __cacosh = cacosh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/cacoshf.c	2014-11-04 19:01:02.626252887 -0500
+++ new/usr/src/lib/libm/common/complex/cacoshf.c	2014-11-04 19:01:02.637751879 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cacoshf = __cacoshf
+#pragma weak __cacoshf = cacoshf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cacoshl.c	2014-11-04 19:01:03.091628105 -0500
+++ new/usr/src/lib/libm/common/complex/cacoshl.c	2014-11-04 19:01:03.103132545 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cacoshl = __cacoshl
+#pragma weak __cacoshl = cacoshl
 
 #include "libm.h"	/* fabsl/isnanl/isinfl/signbitl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cacosl.c	2014-11-04 19:01:03.499858693 -0500
+++ new/usr/src/lib/libm/common/complex/cacosl.c	2014-11-04 19:01:03.511370288 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cacosl = __cacosl
+#pragma weak __cacosl = cacosl
 
 #include "libm.h"		/* acosl/atanl/fabsl/isinfl/log1pl/logl/sqrtl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/carg.c	2014-11-04 19:01:04.216627693 -0500
+++ new/usr/src/lib/libm/common/complex/carg.c	2014-11-04 19:01:04.228485736 -0500
@@ -26,9 +26,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak carg = __carg
+#pragma weak __carg = carg
 
-#include "libm_synonyms.h"
 #include <math.h>		/* atan2 */
 #include "complex_wrapper.h"
 
--- old/usr/src/lib/libm/common/complex/cargf.c	2014-11-04 19:01:04.871708908 -0500
+++ new/usr/src/lib/libm/common/complex/cargf.c	2014-11-04 19:01:04.882957718 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cargf = __cargf
+#pragma weak __cargf = cargf
 
 #include "libm.h"			/* atan2f */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cargl.c	2014-11-04 19:01:05.264201348 -0500
+++ new/usr/src/lib/libm/common/complex/cargl.c	2014-11-04 19:01:05.275554980 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cargl = __cargl
+#pragma weak __cargl = cargl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/casin.c	2014-11-04 19:01:05.669141443 -0500
+++ new/usr/src/lib/libm/common/complex/casin.c	2014-11-04 19:01:05.680713606 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak casin = __casin
+#pragma weak __casin = casin
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/casinf.c	2014-11-04 19:01:06.098786366 -0500
+++ new/usr/src/lib/libm/common/complex/casinf.c	2014-11-04 19:01:06.110136912 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak casinf = __casinf
+#pragma weak __casinf = casinf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/casinh.c	2014-11-04 19:01:06.491230337 -0500
+++ new/usr/src/lib/libm/common/complex/casinh.c	2014-11-04 19:01:06.502520383 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak casinh = __casinh
+#pragma weak __casinh = casinh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/casinhf.c	2014-11-04 19:01:06.884550102 -0500
+++ new/usr/src/lib/libm/common/complex/casinhf.c	2014-11-04 19:01:06.896036520 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak casinhf = __casinhf
+#pragma weak __casinhf = casinhf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/casinhl.c	2014-11-04 19:01:07.277695187 -0500
+++ new/usr/src/lib/libm/common/complex/casinhl.c	2014-11-04 19:01:07.291072482 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak casinhl = __casinhl
+#pragma weak __casinhl = casinhl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/casinl.c	2014-11-04 19:01:07.672974352 -0500
+++ new/usr/src/lib/libm/common/complex/casinl.c	2014-11-04 19:01:07.684419152 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak casinl = __casinl
+#pragma weak __casinl = casinl
 
 #include "libm.h"		/* asinl/atanl/fabsl/isinfl/log1pl/logl/sqrtl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/catan.c	2014-11-04 19:01:08.080880762 -0500
+++ new/usr/src/lib/libm/common/complex/catan.c	2014-11-04 19:01:08.092534412 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak catan = __catan
+#pragma weak __catan = catan
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/catanf.c	2014-11-04 19:01:08.503380412 -0500
+++ new/usr/src/lib/libm/common/complex/catanf.c	2014-11-04 19:01:08.514728119 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak catanf = __catanf
+#pragma weak __catanf = catanf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/catanh.c	2014-11-04 19:01:09.187959774 -0500
+++ new/usr/src/lib/libm/common/complex/catanh.c	2014-11-04 19:01:09.210484695 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak catanh = __catanh
+#pragma weak __catanh = catanh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/catanhf.c	2014-11-04 19:01:09.708580422 -0500
+++ new/usr/src/lib/libm/common/complex/catanhf.c	2014-11-04 19:01:09.720325311 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak catanhf = __catanhf
+#pragma weak __catanhf = catanhf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/catanhl.c	2014-11-04 19:01:10.184904265 -0500
+++ new/usr/src/lib/libm/common/complex/catanhl.c	2014-11-04 19:01:10.196381599 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak catanhl = __catanhl
+#pragma weak __catanhl = catanhl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/catanl.c	2014-11-04 19:01:10.579077015 -0500
+++ new/usr/src/lib/libm/common/complex/catanl.c	2014-11-04 19:01:10.590695524 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak catanl = __catanl
+#pragma weak __catanl = catanl
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/ccos.c	2014-11-04 19:01:10.991016941 -0500
+++ new/usr/src/lib/libm/common/complex/ccos.c	2014-11-04 19:01:11.002383906 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ccos = __ccos
+#pragma weak __ccos = ccos
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/ccosf.c	2014-11-04 19:01:11.413520877 -0500
+++ new/usr/src/lib/libm/common/complex/ccosf.c	2014-11-04 19:01:11.425010322 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ccosf = __ccosf
+#pragma weak __ccosf = ccosf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/ccosh.c	2014-11-04 19:01:11.809200147 -0500
+++ new/usr/src/lib/libm/common/complex/ccosh.c	2014-11-04 19:01:11.820945156 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ccosh = __ccosh
+#pragma weak __ccosh = ccosh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/ccoshf.c	2014-11-04 19:01:12.209178511 -0500
+++ new/usr/src/lib/libm/common/complex/ccoshf.c	2014-11-04 19:01:12.221021607 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ccoshf = __ccoshf
+#pragma weak __ccoshf = ccoshf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/ccoshl.c	2014-11-04 19:01:12.606819875 -0500
+++ new/usr/src/lib/libm/common/complex/ccoshl.c	2014-11-04 19:01:12.618428456 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ccoshl = __ccoshl
+#pragma weak __ccoshl = ccoshl
 
 #include "libm.h"	/* coshl/expl/fabsl/scalbnl/sincosl/sinhl/__k_cexpl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/ccosl.c	2014-11-04 19:01:13.002013826 -0500
+++ new/usr/src/lib/libm/common/complex/ccosl.c	2014-11-04 19:01:13.015442889 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ccosl = __ccosl
+#pragma weak __ccosl = ccosl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cexp.c	2014-11-04 19:01:13.397883350 -0500
+++ new/usr/src/lib/libm/common/complex/cexp.c	2014-11-04 19:01:13.409224531 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cexp = __cexp
+#pragma weak __cexp = cexp
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/cexpf.c	2014-11-04 19:01:13.840525546 -0500
+++ new/usr/src/lib/libm/common/complex/cexpf.c	2014-11-04 19:01:13.851927111 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cexpf = __cexpf
+#pragma weak __cexpf = cexpf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cexpl.c	2014-11-04 19:01:14.245604628 -0500
+++ new/usr/src/lib/libm/common/complex/cexpl.c	2014-11-04 19:01:14.256860985 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cexpl = __cexpl
+#pragma weak __cexpl = cexpl
 
 #include "libm.h"		/* expl/isinfl/iszerol/scalbnl/sincosl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cimag.c	2014-11-04 19:01:14.657051109 -0500
+++ new/usr/src/lib/libm/common/complex/cimag.c	2014-11-04 19:01:14.668458131 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cimag = __cimag
+#pragma weak __cimag = cimag
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cimagf.c	2014-11-04 19:01:15.050800258 -0500
+++ new/usr/src/lib/libm/common/complex/cimagf.c	2014-11-04 19:01:15.062012669 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cimagf = __cimagf
+#pragma weak __cimagf = cimagf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cimagl.c	2014-11-04 19:01:15.442335570 -0500
+++ new/usr/src/lib/libm/common/complex/cimagl.c	2014-11-04 19:01:15.453687984 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cimagl = __cimagl
+#pragma weak __cimagl = cimagl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/clog.c	2014-11-04 19:01:15.834508326 -0500
+++ new/usr/src/lib/libm/common/complex/clog.c	2014-11-04 19:01:15.846058399 -0500
@@ -60,7 +60,6 @@
  */
 /* INDENT ON */
 
-#include "libm_synonyms.h"
 #include <math.h>		/* atan2/fabs/log/log1p */
 #include "complex_wrapper.h"
 #include "libm_protos.h"	/* __k_clog_r */
@@ -69,7 +68,7 @@
 static const double half = 0.5, one = 1.0;
 
 dcomplex
-clog(dcomplex z) {
+__clog(dcomplex z) {
 	dcomplex	ans;
 	double		x, y, t, ax, ay, w;
 	int		n, ix, iy, hx, hy;
--- old/usr/src/lib/libm/common/complex/clogf.c	2014-11-04 19:01:16.235329969 -0500
+++ new/usr/src/lib/libm/common/complex/clogf.c	2014-11-04 19:01:16.246701289 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak clogf = __clogf
+#pragma weak __clogf = clogf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/clogl.c	2014-11-04 19:01:16.631961397 -0500
+++ new/usr/src/lib/libm/common/complex/clogl.c	2014-11-04 19:01:16.643274202 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak clogl = __clogl
+#pragma weak __clogl = clogl
 
 #include "libm.h"	/* atan2l/fabsl/isinfl/log1pl/logl/__k_clog_rl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/conj.c	2014-11-04 19:01:17.028461505 -0500
+++ new/usr/src/lib/libm/common/complex/conj.c	2014-11-04 19:01:17.041210415 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak conj = __conj
+#pragma weak __conj = conj
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/conjf.c	2014-11-04 19:01:17.438246588 -0500
+++ new/usr/src/lib/libm/common/complex/conjf.c	2014-11-04 19:01:17.449839984 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak conjf = __conjf
+#pragma weak __conjf = conjf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/conjl.c	2014-11-04 19:01:17.880080064 -0500
+++ new/usr/src/lib/libm/common/complex/conjl.c	2014-11-04 19:01:17.891364228 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak conjl = __conjl
+#pragma weak __conjl = conjl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cpow.c	2014-11-04 19:01:18.271086979 -0500
+++ new/usr/src/lib/libm/common/complex/cpow.c	2014-11-04 19:01:18.284297518 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cpow = __cpow
+#pragma weak __cpow = cpow
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/cpowf.c	2014-11-04 19:01:18.733940593 -0500
+++ new/usr/src/lib/libm/common/complex/cpowf.c	2014-11-04 19:01:18.745282606 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cpowf = __cpowf
+#pragma weak __cpowf = cpowf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cpowl.c	2014-11-04 19:01:19.140837701 -0500
+++ new/usr/src/lib/libm/common/complex/cpowl.c	2014-11-04 19:01:19.152231990 -0500
@@ -27,12 +27,12 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cpowl = __cpowl
+#pragma weak __cpowl = cpowl
 
 #include "libm.h"				/* __k_clog_rl/__k_atan2l */
 /* atan2l/atan2pil/exp2l/expl/fabsl/hypotl/isinfl/logl/powl/sincosl/sincospil */
 #include "complex_wrapper.h"
-#include "longdouble.h" 
+#include "longdouble.h"
 
 #if defined(__sparc)
 #define	HALF(x)  ((int *) &x)[3] = 0; ((int *) &x)[2] &= 0xfe000000
--- old/usr/src/lib/libm/common/complex/cproj.c	2014-11-04 19:01:19.555079829 -0500
+++ new/usr/src/lib/libm/common/complex/cproj.c	2014-11-04 19:01:19.566433744 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cproj = __cproj
+#pragma weak __cproj = cproj
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/cprojf.c	2014-11-04 19:01:19.947746353 -0500
+++ new/usr/src/lib/libm/common/complex/cprojf.c	2014-11-04 19:01:19.959167578 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cprojf = __cprojf
+#pragma weak __cprojf = cprojf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cprojl.c	2014-11-04 19:01:20.416006268 -0500
+++ new/usr/src/lib/libm/common/complex/cprojl.c	2014-11-04 19:01:20.427323435 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cprojl = __cprojl
+#pragma weak __cprojl = cprojl
 
 #include "libm.h"		/* fabsl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/creal.c	2014-11-04 19:01:20.825327004 -0500
+++ new/usr/src/lib/libm/common/complex/creal.c	2014-11-04 19:01:20.836841968 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak creal = __creal
+#pragma weak __creal = creal
 
 #include "libm.h"
 #include "complex_wrapper.h"
